Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1335898 - Enabling a repository needs to fail on pulp error
Summary: Enabling a repository needs to fail on pulp error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1578922
TreeView+ depends on / blocked
 
Reported: 2016-05-13 13:39 UTC by John Mitsch
Modified: 2020-09-10 09:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1578922 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (14.47 KB, image/png)
2016-11-29 13:18 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15824 0 Normal Closed Enabling a repository needs to fail on pulp error 2021-01-15 21:33:35 UTC

Description John Mitsch 2016-05-13 13:39:48 UTC
Description of problem:

A repository can be enabled even if there is an error in pulp.


Version-Release number of selected component (if applicable):


How reproducible:
%100


Steps to Reproduce:
1. Turn off a repo in pulp
2. Try to enable this repo

-or-

1. Don't install ostree
2. Try to enable an ostree repo

Actual results:

you should see a pulp error in /var/log/messages but the repo will be available in the Products page.

Expected results:

The repo is not able to be enabled and an appropriate message is returned to the user when enabling it errors in pulp.

Additional info:

This is related to how we handle the task in dynflow. We should be enabling the repo in pulp first before we add it to the the database.

Comment 2 Brad Buckingham 2016-07-24 16:21:36 UTC
Created redmine issue http://projects.theforeman.org/issues/15824 from this bug

Comment 3 Bryan Kearney 2016-08-02 14:15:31 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15824 has been closed

Comment 6 Peter Ondrejka 2016-11-29 13:18:07 UTC
Created attachment 1225826 [details]
screenshot

Verified using the ostree method in Satellite 6.3 snap 6, if ostree does not exist the repository is not enabled and the task is stopped.

Comment 7 John Mitsch 2016-12-19 21:56:14 UTC
*** Bug 1316167 has been marked as a duplicate of this bug. ***

Comment 10 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.